package shapes;

public abstract class Shape {
	private String name;
	
	public abstract double getArea();
	
	public Shape(String name) {
		super();
		this.name = name;
	}

	@Override
	public String toString() {
		return "Shape [name=" + name + "]";
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}